Bug 1294507 - After importing a vm from an export domain and run it, the network interface is unplugged
After importing a vm from an export domain and run it, the network interface ...
Status: CLOSED NOTABUG
Product: ovirt-engine
Classification: oVirt
Component: BLL.Network (Show other bugs)
3.6.1.3
Unspecified Unspecified
unspecified Severity high (vote)
: ---
: ---
Assigned To: Dan Kenigsberg
Meni Yakove
network
: Automation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-28 10:25 EST by Raz Tamir
Modified: 2016-02-10 14:48 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-29 03:29:31 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: planning_ack?
rule-engine: devel_ack?
rule-engine: testing_ack?


Attachments (Terms of Use)
engine log (670.59 KB, text/plain)
2015-12-28 10:25 EST, Raz Tamir
no flags Details

  None (edit)
Description Raz Tamir 2015-12-28 10:25:01 EST
Created attachment 1110037 [details]
engine log

Description of problem:
A vm lost it's network interface after it was imported from export storage domain.


Version-Release number of selected component (if applicable):
rhevm-3.6.1.3-0.1.el6.noarch
rhevm-backend-3.6.1.3-0.1.el6.noarch
vdsm-4.17.13-1.el7ev.noarch
qemu-kvm-tools-rhev-2.3.0-31.el7_2.5.ppc64le
qemu-kvm-common-rhev-2.3.0-31.el7_2.5.ppc64le
qemu-kvm-rhev-2.3.0-31.el7_2.5.ppc64le
qemu-img-rhev-2.3.0-31.el7_2.5.ppc64le


How reproducible:
100%

Steps to Reproduce:
1. Create vm + 1 disk
2. Export this vm and import it back to the setup
3. Start the vm --> vm nic is unplugged

Actual results:


Expected results:


Additional info:
Comment 1 Dan Kenigsberg 2015-12-29 03:29:31 EST
If your mac pool does not allow duplicates, what you describe is the proper behaviour: we do not want the imported VM to collide with the MAC address of the existing one.

Please reopen if this is not the case (e.g. you have deleted the original VM prior import, or you do allow duplicates)

Note You need to log in before you can comment on or make changes to this bug.